
From: Jason Gaston <jason.d.gaston@intel.com>

This patch adds the Intel ESB2 DID's to the i2c-i801.c and Kconfig files for
I2C support.

Signed-off-by: Jason Gaston <Jason.d.gaston@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/i2c/busses/Kconfig    |    1 +
 25-akpm/drivers/i2c/busses/i2c-i801.c |    2 ++
 2 files changed, 3 insertions(+)

diff -puN drivers/i2c/busses/i2c-i801.c~i2c-i801-i2c-patch-for-intel-esb2 drivers/i2c/busses/i2c-i801.c
--- 25/drivers/i2c/busses/i2c-i801.c~i2c-i801-i2c-patch-for-intel-esb2	Wed Apr  6 16:16:46 2005
+++ 25-akpm/drivers/i2c/busses/i2c-i801.c	Wed Apr  6 16:16:46 2005
@@ -31,6 +31,7 @@
     6300ESB		25A4
     ICH6		266A
     ICH7		27DA
+    ESB2		269B
     This driver supports several versions of Intel's I/O Controller Hubs (ICH).
     For SMBus support, they are similar to the PIIX4 and are part
     of Intel's '810' and other chipsets.
@@ -558,6 +559,7 @@ static struct pci_device_id i801_ids[] =
 	{ PCI_DEVICE(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_ESB_4) },
 	{ PCI_DEVICE(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_ICH6_16) },
 	{ PCI_DEVICE(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_ICH7_17) },
+	{ PCI_DEVICE(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_ESB2_17) },
 	{ 0, }
 };
 
diff -puN drivers/i2c/busses/Kconfig~i2c-i801-i2c-patch-for-intel-esb2 drivers/i2c/busses/Kconfig
--- 25/drivers/i2c/busses/Kconfig~i2c-i801-i2c-patch-for-intel-esb2	Wed Apr  6 16:16:46 2005
+++ 25-akpm/drivers/i2c/busses/Kconfig	Wed Apr  6 16:16:46 2005
@@ -123,6 +123,7 @@ config I2C_I801
 	    6300ESB
 	    ICH6
 	    ICH7
+	    ESB2
 
 	  This driver can also be built as a module.  If so, the module
 	  will be called i2c-i801.
_
